### Constructor

# Gtk FontButtonnew_with_font

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_font_button_new_with_font (
      const char* fontname
    )

#### Description [src]

Creates a new font picker widget showing the given font.

Deprecated since: 4.10

Use `GtkFontDialogButton` instead.

#### Parameters

`fontname`

  Type: `const char*`

  Name of font to display in font chooser dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new font picker widget.

The data is owned by the called function.